<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'buy_ad',

    /*
     * Modules.
     */
    'modules'   => ['buyads'],

    
    'buyads'       => [
        'model' => [
            'model'                 => \Litecms\BuyAd\Models\Buyads::class,
            'table'                 => 'buyads',
            'presenter'             => \Litecms\BuyAd\Repositories\Presenter\BuyadsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['name',  'type'],
            'translatables'         => [],
            'upload_folder'         => 'buy_ad/buyads',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'BuyAd',
            'module'    => 'Buyads',
        ],

    ],
];
